Class | Tk::BWidget::ProgressDlg
In: | tk/lib/tkextlib/bwidget/progressdlg.rb
Parent: | Tk::BWidget::MessageDlg

### Methods

create_self text text= textvariable value value= variable

### Constants

TkCommandNames | = | ['ProgressDlg'.freeze].freeze
WidgetClassName | = | 'ProgressDlg'.freeze

### Public Instance methods

create_self(keys)

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 24
      def create_self(keys)
        # NOT create widget for reusing the object
        super(keys)
        @keys['textvariable'] = TkVariable.new unless @keys.key?('textvariable')
        @keys['variable']     = TkVariable.new unless @keys.key?('variable')
      end

text()

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 35
      def text
        @keys['textvariable'].value
      end

text=(txt)

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 39
      def text= (txt)
        @keys['textvariable'].value = txt
      end

textvariable()

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 31
      def textvariable
        @keys['textvariable']
      end

value()

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 47
      def value
        @keys['variable'].value
      end

value=(val)

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 51
      def value= (val)
        @keys['variable'].value = val
      end

variable()

[Source]

    # File tk/lib/tkextlib/bwidget/progressdlg.rb, line 43
      def variable
        @keys['variable']
      end

[Validate]